MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026286Open CASCADE[OCCT] OCCT:Configurationpublic2015-05-28 15:342016-04-20 15:48
Reporterbugmaster 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026286: Rebuilding FreeImage with disabled OpenMP
DescriptionExecuting MFC samples - Import/Export gave a system error.

The program can't start becuase VCOMP100.DLL is missing from your computer. Try reinstalling the program to fix this problem. [OK]

The dependency from vcomp100.dll is coming from FreeImage library - LibRAW component is built with OpenMP support by default on fresh compilers.
However for our applications this component and its parallelization have no value - so I would suggest rebuilding FreeImage with disabled OpenMP to get rid from redundant dependency (though vcomp100.dll is just about 50 KiB).

To do so it is sufficient to comment on the lines defining LIBRAW_USE_OPENMP in Source/LibRawLite/libraw/libraw_types.h :
> # if defined (_MSC_VER) && (_MSC_VER >= 1600 || (_MSC_VER == 1500 && _MSC_FULL_VER >= 150030729) )
> /* VS2010+ : OpenMP works OK, VS2008: have tested by cgilles */
> ///# define LIBRAW_USE_OPENMP
Steps To ReproduceN/A
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0026297closedbugmaster Rebuilding 3rd-party with consistent CRT dependencies 
child of 0026242closedbugmaster OCCT Install Wizard must install VC2010 redistributable 

-  Notes
(0041990)
bugmaster (administrator)
2015-06-05 16:08

Solution will be implemented in framework of 26297 issue

- Issue History
Date Modified Username Field Change
2015-05-28 15:34 bugmaster New Issue
2015-05-28 15:34 bugmaster Assigned To => bugmaster
2015-05-28 15:35 bugmaster Description Updated View Revisions
2015-05-28 15:35 bugmaster Relationship added child of 0026242
2015-06-01 09:55 kgv Relationship added related to 0026297
2015-06-05 16:08 bugmaster Note Added: 0041990
2015-06-09 16:45 bugmaster Status new => resolved
2015-06-09 16:45 bugmaster Steps to Reproduce Updated View Revisions
2015-06-09 16:46 bugmaster Status resolved => reviewed
2015-06-09 16:46 bugmaster Status reviewed => verified
2015-06-09 16:46 bugmaster Resolution open => fixed
2016-04-20 15:44 aiv Fixed in Version => 7.0.0
2016-04-20 15:48 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker